List by org (lister)

Lists listings owned (created) by the caller’s org with filtering, sorting, and pagination. Lister view. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (ListingListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter_audienceenum or nullOptional

Filter to a single audience (PROVIDERS or DRIVERS). Lister-only — bidder routes hardcode audience.

Allowed values:
sort_byenum or nullOptional
Field to sort by.
Allowed values:
sort_orderenum or nullOptional

Sort order (asc or desc).

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_statusenum or nullOptional

Filter by listing status(es). Multi-select.

Allowed values:
filter_typeenum or nullOptional

Filter by listing type(s). Multi-select.

Allowed values:
filter_task_group_idstring or nullOptional
Filter to listings for this task group.
filter_order_idstring or nullOptional
Filter to listings on this order.
filter_created_by_org_idstring or nullOptional

Filter to listings created by this provider org (lister). Mostly useful on bidder views to slice by lister.

filter_created_by_user_idstring or nullOptional

Filter to listings created by this operator (audit).

filter_created_at_timestamp_gtedatetime or nullOptional

Filter created_at_timestamp >= value (inclusive).

filter_created_at_timestamp_ltedatetime or nullOptional

Filter created_at_timestamp <= value (inclusive).

filter_last_edited_at_timestamp_gtedatetime or nullOptional

Filter last_edited_at_timestamp >= value (inclusive).

filter_last_edited_at_timestamp_ltedatetime or nullOptional

Filter last_edited_at_timestamp <= value (inclusive).

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Listings List by Org V1request Unprocessable Entity Error